# $Revision: 1.43 $, $Date: 2005/10/21 08:25:24 $
#
# Conditional build:
%bcond_without	fsck	# don't build fsck.jfs (as it requires pthread)
#
Summary:	IBM JFS utility programs
Summary(pl):	Programy uytkowe dla IBM JFS
Name:		jfsutils
Version:	1.1.10
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://jfs.sourceforge.net/project/pub/%{name}-%{version}.tar.gz
# Source0-md5:	8a88beadc30f81f39060c5df85dc7e4e
URL:		http://jfs.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libuuid-devel
Obsoletes:	jfsprogs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Utilities to manage JFS filesystems.

%description -l pl
Programy do zarzdzania systemem plikw JFS.

%prep
%setup -q
%{!?with_fsck:cp Makefile.am Makefile.am.tmp}
%{!?with_fsck:sed -e 's/ fsck / /' Makefile.am.tmp > Makefile.am}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jfsutils.spec,v $
Revision 1.43  2005/10/21 08:25:24  qboosh
- updated to 1.1.10 (fixes fsck not recognizing rootfs as jfs)

Revision 1.42  2005/10/13 08:37:42  qboosh
- updated to 1.1.9

Revision 1.41  2005/07/10 19:43:06  darekr
- added %doc

Revision 1.40  2005/06/16 13:04:33  hawk
- release 3 for Ac

Revision 1.39  2005/05/03 20:50:49  pluto
- release 2 for Th.

Revision 1.38  2005/05/03 20:50:14  pluto
- updated to 1.1.8, URL updated.
- release 1 for Ac.

Revision 1.37  2004/07/23 06:29:40  pluto
- updated to 1.1.7.
  major (most critical) change: directory index table corrections
                                for big-endian systems.

Revision 1.36  2004/05/06 06:36:54  qboosh
- updated to 1.1.6

Revision 1.35  2004/03/05 22:22:34  adamg
- updated to 1.1.5

Revision 1.34  2003/11/11 21:43:33  qboosh
- updated to 1.1.4

Revision 1.33  2003/10/09 12:41:12  qboosh
- s/e2fsprogs/libuuid/, new bcond style

Revision 1.32  2003/09/29 20:42:28  adamg
- updated to 1.1.3

Revision 1.31  2003/09/06 19:19:45  blues
- release 2

Revision 1.30  2003/05/28 12:59:15  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 05:49:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/24 14:35:17  radzio
- updated 1.1.2
- patch0 (errno.h) is no needed any more

Revision 1.27  2003/03/27 23:06:54  malekith
- br e2fsprogs-devel (for uuid library)

Revision 1.26  2003/03/16 17:48:54  areq
- 1.1.1, STBR
- add errno.patch

Revision 1.25  2002/10/09 13:14:35  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/09/22 21:42:24  areq
- 1.0.22, STBR

Revision 1.23  2002/07/20 12:05:43  areq
- 1.0.20, STBR

Revision 1.22  2002/05/21 23:13:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/04/25 16:39:18  arturs
fixed a small typo

Revision 1.20  2002/04/13 06:59:53  kloczek
- updated to 1.0.17 and added jfsprogs to Obsoletes for allow upgrade from MDK.

Revision 1.19  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/03/20 23:39:55  kloczek
- release 2.

Revision 1.17  2002/03/15 14:35:49  malekith
- dropped BOOT stuff
- added --without fsck (fsck requires pthread (sic!))

Revision 1.16  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:13:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2002/01/03 13:45:08  kloczek
- fixed building BOOT subpackage (removed -c from CFLAGS).

Revision 1.13  2002/01/03 12:50:33  kloczek
- updated to 1.0.11 (added am/ac suit and fixed few minor bugs).

Revision 1.12  2001/12/02 00:30:35  kloczek
- updated to 1.0.10,
- pass CC=%%{__cc} to make parameters.

Revision 1.11  2001/11/30 10:34:37  qboosh
- fixed pl translations, cosmetics; release 2

Revision 1.10  2001/11/10 18:41:48  kloczek
- updated to 1.0.9.

Revision 1.9  2001/10/30 13:37:21  malekith
fixed BOOT`s install

Revision 1.8  2001/10/30 10:19:39  malekith
- BOOT version
- rel 2

Revision 1.7  2001/10/19 18:52:28  kloczek
- updated to 1.0.8.

Revision 1.6  2001/10/13 09:26:01  marcus
- new version 1.0.7, STBR

Revision 1.5  2001/10/06 21:13:13  kloczek
- updated to 1.0.6.

Revision 1.4  2001/09/15 21:41:10  kloczek
- updated to 1.0.5.

Revision 1.3  2001/09/04 00:43:30  kloczek
- updated to 1.0.4.

Revision 1.2  2001/09/04 00:42:18  kloczek
- pass %%{rpmcflags} to CFLAGSS (now spec is %%{debug} ready),
- more macros and few cosmetics.

Revision 1.1  2001/09/03 18:53:18  filon
- new package, working spec, release 1
